# Payment instruments

List, retrieve, and revoke customer payment instruments and receive events when payment instruments change.

 - [POST /payment-instruments/get](https://api-docs.solidgate.com/api/v2/products/solidgate/payment-instruments/get-payment-instrument.md): Returns the <a href="https://docs.solidgate.com/billing/manage-customers/payment-instruments/" target="_blank">payment instrument</a> for the provided identifier.
 - [POST /payment-instruments/list](https://api-docs.solidgate.com/api/v2/products/solidgate/payment-instruments/list-payment-instruments.md): Returns a paginated list of <a href="https://docs.solidgate.com/billing/manage-customers/payment-instruments/" target="_blank">payment instruments</a> for the specified customer.
 - [POST /payment-instruments/revoke](https://api-docs.solidgate.com/api/v2/products/solidgate/payment-instruments/revoke-payment-instrument.md): Revokes an active <a href="https://docs.solidgate.com/billing/manage-customers/payment-instruments/" target="_blank">payment instrument</a> and prevents it from being used for future payments.
 - [POST PaymentInstrumentCreated](https://api-docs.solidgate.com/api/v2/products/solidgate/payment-instruments/on-payment-instrument-created.md): Webhook sent when a new payment instrument is created.
 - [POST PaymentInstrumentRevoked](https://api-docs.solidgate.com/api/v2/products/solidgate/payment-instruments/on-payment-instrument-revoked.md): Webhook sent when a payment instrument is revoked.
 - [POST PaymentInstrumentExpired](https://api-docs.solidgate.com/api/v2/products/solidgate/payment-instruments/on-payment-instrument-expired.md): Webhook sent when a payment instrument expires.
